Bug 216366 - RFE: Please include MySQL support within PHP
RFE: Please include MySQL support within PHP
Product: Fedora
Classification: Fedora
Component: comps (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2006-11-19 19:03 EST by Tom Wood
Modified: 2013-01-09 20:33 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-04 11:34:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tom Wood 2006-11-19 19:03:04 EST
phpinfo() returning --without-mysql is a problem for many folks.  Please
consider repackaging to eliminate this deficiency.
Comment 1 Joe Orton 2006-11-20 08:31:20 EST
Can comps be changed to ensure that for whatever package group selects php,
php-mysql is also selected by default?  This is undoubtedly the most common user
complaint we get for PHP.
Comment 2 Tom Wood 2006-11-22 10:00:16 EST
Thank you, Joe.  That's the exact response and fix that I was hoping to see
championed.  This is the most common complaint that I get about from my clients
about PHP as well.
Comment 3 Dennis Gregorovic 2006-12-22 12:08:37 EST
took this by accident
Comment 4 Jesse Keating 2007-01-02 14:46:03 EST
Without making a change to the package itself, or making a "php" group, no. 
It's optional in both the Mysql group, and in the webserver group.  If we made
this assumption for mysql, we'd have to make it for postgresql, and odbc, and
any other DB type that might crop up.
Comment 5 Joe Orton 2007-01-04 10:42:49 EST
So it's not possible to have php-mysql enabled by default in the "Web Server" group?

Why would we have to do the same for pgsql etc if this is done for php-mysql?
Comment 6 Jesse Keating 2007-01-04 11:00:31 EST
(In reply to comment #5)
> So it's not possible to have php-mysql enabled by default in the "Web Server"

Yes, it could be enabled in the Web Server group, but now you're assuming that
every person who wants a webserver ALSO wants php, AND mysql, which is not a
valid assumption.

> Why would we have to do the same for pgsql etc if this is done for php-mysql?

What makes mysql special?  If we automatically installed mysql, we'll get the
same request to have postgres automatically installed too for those users.  I'd
rather not play favorites and let people chose whatever they want.
Comment 7 Joe Orton 2007-01-04 11:17:52 EST
Of course we play favourites both in the set of packages we chose to ship and
those we chose to install by default.

The "Web server" group plays favourites and selects PHP and not Tomcat by
default.  It should also play favourites and install php-mysql.  The most common
user request/complaint/confusion we see around the web server is exactly "why
doesn't MySQL work in PHP".   Not PostgreSQL and not UnixODBC.

If it is technically possible then installing php-mysql by default for the "web
server" group is certainly the right thing to do.
Comment 8 Jesse Keating 2007-01-04 11:27:59 EST
To that extent, with the new  way we'll be doing Fedora, targetted spins of the
package set that is both core/extras combined, when we do a "server" spin,
should we even include the pgsql/odbc?  They would be available if you enabled
the network and access to the big repo of packages, but should they be included
in the media we spin?

I'll make the change for now in our comps, but this question will need to be
answered for Test1.
Comment 9 Jesse Keating 2007-01-04 11:28:57 EST
I still don't like the fact that now we're shoving mysql down the throat of
anybody who wants a webserver.

Note You need to log in before you can comment on or make changes to this bug.